<< vco | FOSSEE_Signal_Processing_Toolbox | welchwin >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > wconv

# wconv

Performs 1D or 2D convolution.

### Syntax

    y = wconv (type, x, f)
    y = wconv (type, x, f, shape)

### Parameters

type:

  convolution type.

x:

  Signal vector or matrix.

f:

  FIR filter coefficients.

shape:

  Shape.

### Description

It performs 1D or 2D convolution between the signal x and the filter coefficients f.

### Examples

    a = [1 2 3 4 5]
    b = [7 8 9 10]
    wconv(1,a,b)

### See also

- conv2

Report an issue
<< vco | FOSSEE_Signal_Processing_Toolbox | welchwin >>